#ifndef _CONFIG_H
#define _CONFIG_H

// User Interface Pin Assignments
#define UI_RED_LED 0
#define UI_AMBER_LED 1
#define UI_EXIT_PB 2
#define UI_BACK_PB 3
#define UI_PAUSE_PB 4
#define UI_SCROLL_PB 5
#define UI_SELECT_PB 6
#define UI_MENU_PB 7

// Propeller Memory Card Pin Assignments
#define PMC_IO0_DI 8
#define PMC_IO1_DO 9
#define PMC_IO2_WP 10
#define PMC_IO3_HOLD 11
#define PMC_SD_CS 12
#define PMC_FLASH_CS 13
#define PMC_SRAM_CS 14
#define PMC_CLK 15

// Inter-Prop Pin And Communication Assignments
#define INTER_PROP_TX 16
#define INTER_PROP_RX 17
#define INTER_PROP_MODE 0
#define INTER_PROP_BAUD 230400

// Power Supply Relay Pin Assignment
#define PSU_RELAY 18

// Stop Switch Pin Assignment
#define STOP_SWITCH 19

// X Axis Assignments  
#define X_STEPS_PER_MM 55.555
#define X_STEPS_PER_IN 1411.083
#define X_INC_DIR 0 // Counter-clockwise rotation
#define X_DEC_DIR 1 // Clockwise rotation
  
// Y Axis Assignments
#define Y_STEPS_PER_MM 55.555
#define Y_STEPS_PER_IN 1411.083
#define Y_INC_DIR 1 // Counter-clockwise rotation
#define Y_DEC_DIR 0 // Clockwise rotation

// Z Axis Assignments
#define Z_STEPS_PER_MM 55.555
#define Z_STEPS_PER_IN 1411.083
#define Z_INC_DIR 0 // Counter-clockwise rotation
#define Z_DEC_DIR 1 // Clockwise rotation

// E Axis Assignments  
#define E_STEPS_PER_MM 55.555
#define E_STEPS_PER_IN 1411.083
#define E_INC_DIR 0 // Counter-clockwise rotation
#define E_DEC_DIR 1 // Clockwise rotation

// I2C Assignments
#define I2C_SCL 28
#define I2C_SDA 29
#define I2C_MODE 0

// Serial Communication Assignments
#define PARSER_TX 30
#define PARSER_RX 31
#define PARSER_MODE 0
#define PARSER_BAUD 115200

// Define DEBUG
#define DEBUG

// Establish the amount of valid GCODE
// elements within the GCODE_STRUCT
#define GCODE_ELEMENTS 10

#endif /* _CONFIG_H */